# Organizations ## List organizations the user has access to **get** `/organizations` Retrieve a list of organizations a particular user has access to. (Currently in Closed Beta - see https://developers.cloudflare.com/fundamentals/organizations/) ### Query Parameters - `id: optional array of string` Only return organizations with the specified IDs (ex. id=foo&id=bar). Send multiple elements by repeating the query value. - `containing: optional { account, organization, user }` - `account: optional string` Filter the list of organizations to the ones that contain this particular account. - `organization: optional string` Filter the list of organizations to the ones that contain this particular organization. - `user: optional string` Filter the list of organizations to the ones that contain this particular user. IMPORTANT: Just because an organization "contains" a user is not a representation of any authorization or privilege to manage any resources therein. An organization "containing" a user simply means the user is managed by that organization. - `name: optional { contains, endsWith, startsWith }` - `contains: optional string` (case-insensitive) Filter the list of organizations to where the name contains a particular string. - `endsWith: optional string` (case-insensitive) Filter the list of organizations to where the name ends with a particular string. - `startsWith: optional string` (case-insensitive) Filter the list of organizations to where the name starts with a particular string. - `page_size: optional number` The amount of items to return. Defaults to 10. - `page_token: optional string` An opaque token returned from the last list response that when provided will retrieve the next page. Parameters used to filter the retrieved list must remain in subsequent requests with a page token. - `parent: optional { id }` - `id: optional string or "null"` Filter the list of organizations to the ones that are a sub-organization of the specified organization. "null" is a valid value to provide for this parameter. It means "where an organization has no parent (i.e. it is a 'root' organization)." - `OrganizationsAPIOrganizationID = string` - `"null"` Filter the list of organizations to the ones that are a sub-organization of the specified organization. "null" is a valid value to provide for this parameter. It means "where an organization has no parent (i.e. it is a 'root' organization)." - `"null"` ### Returns - `errors: array of unknown` - `messages: array of ResponseInfo` - `code: number` - `message: string` - `documentation_url: optional string` - `source: optional { pointer }` - `pointer: optional string` - `result: array of Organization` - `id: string` - `create_time: string` - `meta: { flags, managed_by }` - `flags: optional { account_creation, account_deletion, account_migration, 2 more }` Enable features for Organizations. - `account_creation: string` - `account_deletion: string` - `account_migration: string` - `account_mobility: string` - `sub_org_creation: string` - `managed_by: optional string` - `name: string` - `parent: optional { id, name }` - `id: string` - `name: string` - `profile: optional AccountProfile` - `business_address: string` - `business_email: string` - `business_name: string` - `business_phone: string` - `external_metadata: string` - `result_info: { next_page_token, total_size }` - `next_page_token: optional string` Use this opaque token in the next request to retrieve the next page. Parameters used to filter the retrieved list must remain in subsequent requests with a page token. - `total_size: optional number` Counts the total amount of items in a list with the applied filters. The API omits next_page_token to indicate no more items in a particular list. - `success: true` - `true` ### Example ```http curl https://api.cloudflare.com/client/v4/organizations \ -H "X-Auth-Email: $CLOUDFLARE_EMAIL" \ -H "X-Auth-Key: $CLOUDFLARE_API_KEY" ``` #### Response ```json { "errors": [], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "id": "a7b9c3d2e8f4g1h5i6j0k9l2m3n7o4p8", "create_time": "2019-12-27T18:11:19.117Z", "meta": { "flags": { "account_creation": "account_creation", "account_deletion": "account_deletion", "account_migration": "account_migration", "account_mobility": "account_mobility", "sub_org_creation": "sub_org_creation" }, "managed_by": "managed_by" }, "name": "name", "parent": { "id": "a7b9c3d2e8f4g1h5i6j0k9l2m3n7o4p8", "name": "name" }, "profile": { "business_address": "business_address", "business_email": "business_email", "business_name": "business_name", "business_phone": "business_phone", "external_metadata": "external_metadata" } } ], "result_info": { "next_page_token": "next_page_token", "total_size": 0 }, "success": true } ``` ## Get organization **get** `/organizations/{organization_id}` Retrieve the details of a certain organization. (Currently in Closed Beta - see https://developers.cloudflare.com/fundamentals/organizations/) ### Path Parameters - `organization_id: string` ### Returns - `errors: array of unknown` - `messages: array of ResponseInfo` - `code: number` - `message: string` - `documentation_url: optional string` - `source: optional { pointer }` - `pointer: optional string` - `result: Organization` References an Organization in the Cloudflare data model. - `id: string` - `create_time: string` - `meta: { flags, managed_by }` - `flags: optional { account_creation, account_deletion, account_migration, 2 more }` Enable features for Organizations. - `account_creation: string` - `account_deletion: string` - `account_migration: string` - `account_mobility: string` - `sub_org_creation: string` - `managed_by: optional string` - `name: string` - `parent: optional { id, name }` - `id: string` - `name: string` - `profile: optional AccountProfile` - `business_address: string` - `business_email: string` - `business_name: string` - `business_phone: string` - `external_metadata: string` - `success: true` - `true` ### Example ```http curl https://api.cloudflare.com/client/v4/organizations/$ORGANIZATION_ID \ -H "X-Auth-Email: $CLOUDFLARE_EMAIL" \ -H "X-Auth-Key: $CLOUDFLARE_API_KEY" ``` #### Response ```json { "errors": [], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "a7b9c3d2e8f4g1h5i6j0k9l2m3n7o4p8", "create_time": "2019-12-27T18:11:19.117Z", "meta": { "flags": { "account_creation": "account_creation", "account_deletion": "account_deletion", "account_migration": "account_migration", "account_mobility": "account_mobility", "sub_org_creation": "sub_org_creation" }, "managed_by": "managed_by" }, "name": "name", "parent": { "id": "a7b9c3d2e8f4g1h5i6j0k9l2m3n7o4p8", "name": "name" }, "profile": { "business_address": "business_address", "business_email": "business_email", "business_name": "business_name", "business_phone": "business_phone", "external_metadata": "external_metadata" } }, "success": true } ``` ## Create organization **post** `/organizations` Create a new organization for a user. (Currently in Closed Beta - see https://developers.cloudflare.com/fundamentals/organizations/) ### Body Parameters - `name: string` - `parent: optional { id, name }` - `id: string` - `name: string` - `profile: optional AccountProfile` - `business_address: string` - `business_email: string` - `business_name: string` - `business_phone: string` - `external_metadata: string` ### Returns - `errors: array of unknown` - `messages: array of ResponseInfo` - `code: number` - `message: string` - `documentation_url: optional string` - `source: optional { pointer }` - `pointer: optional string` - `result: Organization` References an Organization in the Cloudflare data model. - `id: string` - `create_time: string` - `meta: { flags, managed_by }` - `flags: optional { account_creation, account_deletion, account_migration, 2 more }` Enable features for Organizations. - `account_creation: string` - `account_deletion: string` - `account_migration: string` - `account_mobility: string` - `sub_org_creation: string` - `managed_by: optional string` - `name: string` - `parent: optional { id, name }` - `id: string` - `name: string` - `profile: optional AccountProfile` - `business_address: string` - `business_email: string` - `business_name: string` - `business_phone: string` - `external_metadata: string` - `success: true` - `true` ### Example ```http curl https://api.cloudflare.com/client/v4/organizations \ -H 'Content-Type: application/json' \ -H "X-Auth-Email: $CLOUDFLARE_EMAIL" \ -H "X-Auth-Key: $CLOUDFLARE_API_KEY" \ -d '{ "name": "name" }' ``` #### Response ```json { "errors": [], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "a7b9c3d2e8f4g1h5i6j0k9l2m3n7o4p8", "create_time": "2019-12-27T18:11:19.117Z", "meta": { "flags": { "account_creation": "account_creation", "account_deletion": "account_deletion", "account_migration": "account_migration", "account_mobility": "account_mobility", "sub_org_creation": "sub_org_creation" }, "managed_by": "managed_by" }, "name": "name", "parent": { "id": "a7b9c3d2e8f4g1h5i6j0k9l2m3n7o4p8", "name": "name" }, "profile": { "business_address": "business_address", "business_email": "business_email", "business_name": "business_name", "business_phone": "business_phone", "external_metadata": "external_metadata" } }, "success": true } ``` ## Modify organization. **put** `/organizations/{organization_id}` Modify organization. (Currently in Closed Beta - see https://developers.cloudflare.com/fundamentals/organizations/) ### Path Parameters - `organization_id: string` ### Body Parameters - `name: string` - `parent: optional { id, name }` - `id: string` - `name: string` - `profile: optional AccountProfile` - `business_address: string` - `business_email: string` - `business_name: string` - `business_phone: string` - `external_metadata: string` ### Returns - `errors: array of unknown` - `messages: array of ResponseInfo` - `code: number` - `message: string` - `documentation_url: optional string` - `source: optional { pointer }` - `pointer: optional string` - `result: Organization` References an Organization in the Cloudflare data model. - `id: string` - `create_time: string` - `meta: { flags, managed_by }` - `flags: optional { account_creation, account_deletion, account_migration, 2 more }` Enable features for Organizations. - `account_creation: string` - `account_deletion: string` - `account_migration: string` - `account_mobility: string` - `sub_org_creation: string` - `managed_by: optional string` - `name: string` - `parent: optional { id, name }` - `id: string` - `name: string` - `profile: optional AccountProfile` - `business_address: string` - `business_email: string` - `business_name: string` - `business_phone: string` - `external_metadata: string` - `success: true` - `true` ### Example ```http curl https://api.cloudflare.com/client/v4/organizations/$ORGANIZATION_ID \ -X PUT \ -H 'Content-Type: application/json' \ -H "X-Auth-Email: $CLOUDFLARE_EMAIL" \ -H "X-Auth-Key: $CLOUDFLARE_API_KEY" \ -d '{ "name": "name" }' ``` #### Response ```json { "errors": [], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "a7b9c3d2e8f4g1h5i6j0k9l2m3n7o4p8", "create_time": "2019-12-27T18:11:19.117Z", "meta": { "flags": { "account_creation": "account_creation", "account_deletion": "account_deletion", "account_migration": "account_migration", "account_mobility": "account_mobility", "sub_org_creation": "sub_org_creation" }, "managed_by": "managed_by" }, "name": "name", "parent": { "id": "a7b9c3d2e8f4g1h5i6j0k9l2m3n7o4p8", "name": "name" }, "profile": { "business_address": "business_address", "business_email": "business_email", "business_name": "business_name", "business_phone": "business_phone", "external_metadata": "external_metadata" } }, "success": true } ``` ## Delete organization. **delete** `/organizations/{organization_id}` Delete an organization. The organization MUST be empty before deleting. It must not contain any sub-organizations, accounts, members or users. (Currently in Closed Beta - see https://developers.cloudflare.com/fundamentals/organizations/) ### Path Parameters - `organization_id: string` ### Returns - `errors: array of unknown` - `messages: array of ResponseInfo` - `code: number` - `message: string` - `documentation_url: optional string` - `source: optional { pointer }` - `pointer: optional string` - `result: { id }` - `id: string` - `success: true` - `true` ### Example ```http curl https://api.cloudflare.com/client/v4/organizations/$ORGANIZATION_ID \ -X DELETE \ -H "X-Auth-Email: $CLOUDFLARE_EMAIL" \ -H "X-Auth-Key: $CLOUDFLARE_API_KEY" ``` #### Response ```json { "errors": [], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "id" }, "success": true } ``` ## Domain Types ### Organization - `Organization { id, create_time, meta, 3 more }` References an Organization in the Cloudflare data model. - `id: string` - `create_time: string` - `meta: { flags, managed_by }` - `flags: optional { account_creation, account_deletion, account_migration, 2 more }` Enable features for Organizations. - `account_creation: string` - `account_deletion: string` - `account_migration: string` - `account_mobility: string` - `sub_org_creation: string` - `managed_by: optional string` - `name: string` - `parent: optional { id, name }` - `id: string` - `name: string` - `profile: optional AccountProfile` - `business_address: string` - `business_email: string` - `business_name: string` - `business_phone: string` - `external_metadata: string` ### Organization Delete Response - `OrganizationDeleteResponse { id }` - `id: string` # Organization Accounts ## Get organization accounts **get** `/organizations/{organization_id}/accounts` Retrieve a list of accounts that belong to a specific organization. (Currently in Closed Beta - see https://developers.cloudflare.com/fundamentals/organizations/) ### Path Parameters - `organization_id: string` ### Query Parameters - `account_pubname: optional { contains, endsWith, startsWith }` - `contains: optional string` (case-insensitive) Filter the list of accounts to where the account_pubname contains a particular string. - `endsWith: optional string` (case-insensitive) Filter the list of accounts to where the account_pubname ends with a particular string. - `startsWith: optional string` (case-insensitive) Filter the list of accounts to where the account_pubname starts with a particular string. - `direction: optional "asc" or "desc"` Sort direction for the order_by field. Valid values: `asc`, `desc`. Defaults to `asc` when order_by is specified. - `"asc"` - `"desc"` - `name: optional { contains, endsWith, startsWith }` - `contains: optional string` (case-insensitive) Filter the list of accounts to where the name contains a particular string. - `endsWith: optional string` (case-insensitive) Filter the list of accounts to where the name ends with a particular string. - `startsWith: optional string` (case-insensitive) Filter the list of accounts to where the name starts with a particular string. - `order_by: optional "account_name"` Field to order results by. Currently supported values: `account_name`. When not specified, results are ordered by internal account ID. - `"account_name"` - `page_size: optional number` The amount of items to return. Defaults to 10. - `page_token: optional string` An opaque token returned from the last list response that when provided will retrieve the next page. Parameters used to filter the retrieved list must remain in subsequent requests with a page token. ### Returns - `errors: array of unknown` - `messages: array of ResponseInfo` - `code: number` - `message: string` - `documentation_url: optional string` - `source: optional { pointer }` - `pointer: optional string` - `result: array of { id, created_on, name, 2 more }` - `id: string` - `created_on: string` - `name: string` - `settings: { abuse_contact_email, access_approval_expiry, api_access_enabled, 3 more }` - `abuse_contact_email: string` - `access_approval_expiry: string` - `api_access_enabled: boolean` - `default_nameservers: string` Use [DNS Settings](https://developers.cloudflare.com/api/operations/dns-settings-for-an-account-list-dns-settings) instead. Deprecated. - `enforce_twofactor: boolean` - `use_account_custom_ns_by_default: boolean` Use [DNS Settings](https://developers.cloudflare.com/api/operations/dns-settings-for-an-account-list-dns-settings) instead. Deprecated. - `type: "standard" or "enterprise"` - `"standard"` - `"enterprise"` - `result_info: { next_page_token, total_size }` - `next_page_token: optional string` Use this opaque token in the next request to retrieve the next page. Parameters used to filter the retrieved list must remain in subsequent requests with a page token. - `total_size: optional number` Counts the total amount of items in a list with the applied filters. The API omits next_page_token to indicate no more items in a particular list. - `success: true` - `true` ### Example ```http curl https://api.cloudflare.com/client/v4/organizations/$ORGANIZATION_ID/accounts \ -H "X-Auth-Email: $CLOUDFLARE_EMAIL" \ -H "X-Auth-Key: $CLOUDFLARE_API_KEY" ``` #### Response ```json { "errors": [], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "id": "id", "created_on": "2019-12-27T18:11:19.117Z", "name": "name", "settings": { "abuse_contact_email": "abuse_contact_email", "access_approval_expiry": "2019-12-27T18:11:19.117Z", "api_access_enabled": true, "default_nameservers": "default_nameservers", "enforce_twofactor": true, "use_account_custom_ns_by_default": true }, "type": "standard" } ], "result_info": { "next_page_token": "next_page_token", "total_size": 0 }, "success": true } ``` ## Domain Types ### Organization Accounts - `OrganizationAccounts { id, name, type, 3 more }` - `id: string` Identifier - `name: string` Account name - `type: "standard" or "enterprise"` - `"standard"` - `"enterprise"` - `created_on: optional string` Timestamp for the creation of the account - `managed_by: optional { parent_org_id, parent_org_name }` Parent container details - `parent_org_id: optional string` ID of the parent Organization, if one exists - `parent_org_name: optional string` Name of the parent Organization, if one exists - `settings: optional { abuse_contact_email, enforce_twofactor }` Account settings - `abuse_contact_email: optional string` Sets an abuse contact email to notify for abuse reports. - `enforce_twofactor: optional boolean` Indicates whether membership in this account requires that Two-Factor Authentication is enabled ### Organization Account Get Response - `OrganizationAccountGetResponse = array of { id, created_on, name, 2 more }` - `id: string` - `created_on: string` - `name: string` - `settings: { abuse_contact_email, access_approval_expiry, api_access_enabled, 3 more }` - `abuse_contact_email: string` - `access_approval_expiry: string` - `api_access_enabled: boolean` - `default_nameservers: string` Use [DNS Settings](https://developers.cloudflare.com/api/operations/dns-settings-for-an-account-list-dns-settings) instead. Deprecated. - `enforce_twofactor: boolean` - `use_account_custom_ns_by_default: boolean` Use [DNS Settings](https://developers.cloudflare.com/api/operations/dns-settings-for-an-account-list-dns-settings) instead. Deprecated. - `type: "standard" or "enterprise"` - `"standard"` - `"enterprise"` # Organization Profile ## Get organization profile **get** `/organizations/{organization_id}/profile` Get an organizations profile if it exists. (Currently in Closed Beta - see https://developers.cloudflare.com/fundamentals/organizations/) ### Path Parameters - `organization_id: string` ### Returns - `errors: array of unknown` - `messages: array of ResponseInfo` - `code: number` - `message: string` - `documentation_url: optional string` - `source: optional { pointer }` - `pointer: optional string` - `result: AccountProfile` - `business_address: string` - `business_email: string` - `business_name: string` - `business_phone: string` - `external_metadata: string` - `success: true` - `true` ### Example ```http curl https://api.cloudflare.com/client/v4/organizations/$ORGANIZATION_ID/profile \ -H "X-Auth-Email: $CLOUDFLARE_EMAIL" \ -H "X-Auth-Key: $CLOUDFLARE_API_KEY" ``` #### Response ```json { "errors": [], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "business_address": "business_address", "business_email": "business_email", "business_name": "business_name", "business_phone": "business_phone", "external_metadata": "external_metadata" }, "success": true } ``` ## Modify organization profile. **put** `/organizations/{organization_id}/profile` Modify organization profile. (Currently in Closed Beta - see https://developers.cloudflare.com/fundamentals/organizations/) ### Path Parameters - `organization_id: string` ### Body Parameters - `business_address: string` - `business_email: string` - `business_name: string` - `business_phone: string` - `external_metadata: string` ### Example ```http curl https://api.cloudflare.com/client/v4/organizations/$ORGANIZATION_ID/profile \ -X PUT \ -H 'Content-Type: application/json' \ -H "X-Auth-Email: $CLOUDFLARE_EMAIL" \ -H "X-Auth-Key: $CLOUDFLARE_API_KEY" \ -d '{ "business_address": "business_address", "business_email": "business_email", "business_name": "business_name", "business_phone": "business_phone", "external_metadata": "external_metadata" }' ``` ## Domain Types ### Organization Profile - `OrganizationProfile { business_address, business_email, business_name, 2 more }` - `business_address: string` - `business_email: string` - `business_name: string` - `business_phone: string` - `external_metadata: string` # Members ## List organization members **get** `/organizations/{organization_id}/members` List memberships for an Organization. (Currently in Closed Beta - see https://developers.cloudflare.com/fundamentals/organizations/) ### Path Parameters - `organization_id: string` ### Query Parameters - `page_size: optional number` The amount of items to return. Defaults to 10. - `page_token: optional string` An opaque token returned from the last list response that when provided will retrieve the next page. Parameters used to filter the retrieved list must remain in subsequent requests with a page token. - `status: optional array of "active" or "canceled"` Filter the list of memberships by membership status. - `"active"` - `"canceled"` - `user: optional { email }` - `email: optional string` Filter the list of memberships for a specific email that ends with a substring. ### Returns - `errors: array of unknown` - `messages: array of ResponseInfo` - `code: number` - `message: string` - `documentation_url: optional string` - `source: optional { pointer }` - `pointer: optional string` - `result: array of OrganizationMember` - `id: string` Organization Member ID - `create_time: string` - `meta: map[unknown]` - `status: "active" or "canceled"` - `"active"` - `"canceled"` - `update_time: string` - `user: { id, email, name, two_factor_authentication_enabled }` - `id: string` - `email: string` - `name: string` - `two_factor_authentication_enabled: boolean` - `result_info: { next_page_token, total_size }` - `next_page_token: optional string` Use this opaque token in the next request to retrieve the next page. Parameters used to filter the retrieved list must remain in subsequent requests with a page token. - `total_size: optional number` Counts the total amount of items in a list with the applied filters. The API omits next_page_token to indicate no more items in a particular list. - `success: true` - `true` ### Example ```http curl https://api.cloudflare.com/client/v4/organizations/$ORGANIZATION_ID/members \ -H "X-Auth-Email: $CLOUDFLARE_EMAIL" \ -H "X-Auth-Key: $CLOUDFLARE_API_KEY" ``` #### Response ```json { "errors": [], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "id": "a7b9c3d2e8f4g1h5i6j0k9l2m3n7o4p8", "create_time": "2019-12-27T18:11:19.117Z", "meta": { "foo": {} }, "status": "active", "update_time": "2019-12-27T18:11:19.117Z", "user": { "id": "id", "email": "email", "name": "name", "two_factor_authentication_enabled": true } } ], "result_info": { "next_page_token": "next_page_token", "total_size": 0 }, "success": true } ``` ## Get organization member **get** `/organizations/{organization_id}/members/{member_id}` Retrieve a single membership from an Organization. (Currently in Closed Beta - see https://developers.cloudflare.com/fundamentals/organizations/) ### Path Parameters - `organization_id: string` - `member_id: string` Organization Member ID ### Returns - `errors: array of unknown` - `messages: array of ResponseInfo` - `code: number` - `message: string` - `documentation_url: optional string` - `source: optional { pointer }` - `pointer: optional string` - `result: OrganizationMember` - `id: string` Organization Member ID - `create_time: string` - `meta: map[unknown]` - `status: "active" or "canceled"` - `"active"` - `"canceled"` - `update_time: string` - `user: { id, email, name, two_factor_authentication_enabled }` - `id: string` - `email: string` - `name: string` - `two_factor_authentication_enabled: boolean` - `success: true` - `true` ### Example ```http curl https://api.cloudflare.com/client/v4/organizations/$ORGANIZATION_ID/members/$MEMBER_ID \ -H "X-Auth-Email: $CLOUDFLARE_EMAIL" \ -H "X-Auth-Key: $CLOUDFLARE_API_KEY" ``` #### Response ```json { "errors": [], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "a7b9c3d2e8f4g1h5i6j0k9l2m3n7o4p8", "create_time": "2019-12-27T18:11:19.117Z", "meta": { "foo": {} }, "status": "active", "update_time": "2019-12-27T18:11:19.117Z", "user": { "id": "id", "email": "email", "name": "name", "two_factor_authentication_enabled": true } }, "success": true } ``` ## Create organization member **post** `/organizations/{organization_id}/members` Create a membership that grants access to a specific Organization. (Currently in Closed Beta - see https://developers.cloudflare.com/fundamentals/organizations/) ### Path Parameters - `organization_id: string` ### Body Parameters - `member: { user, status }` - `user: { email }` - `email: string` - `status: optional "active" or "canceled"` - `"active"` - `"canceled"` ### Returns - `errors: array of unknown` - `messages: array of ResponseInfo` - `code: number` - `message: string` - `documentation_url: optional string` - `source: optional { pointer }` - `pointer: optional string` - `result: OrganizationMember` - `id: string` Organization Member ID - `create_time: string` - `meta: map[unknown]` - `status: "active" or "canceled"` - `"active"` - `"canceled"` - `update_time: string` - `user: { id, email, name, two_factor_authentication_enabled }` - `id: string` - `email: string` - `name: string` - `two_factor_authentication_enabled: boolean` - `success: true` - `true` ### Example ```http curl https://api.cloudflare.com/client/v4/organizations/$ORGANIZATION_ID/members \ -H 'Content-Type: application/json' \ -H "X-Auth-Email: $CLOUDFLARE_EMAIL" \ -H "X-Auth-Key: $CLOUDFLARE_API_KEY" \ -d '{ "member": { "user": { "email": "email" } } }' ``` #### Response ```json { "errors": [], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "a7b9c3d2e8f4g1h5i6j0k9l2m3n7o4p8", "create_time": "2019-12-27T18:11:19.117Z", "meta": { "foo": {} }, "status": "active", "update_time": "2019-12-27T18:11:19.117Z", "user": { "id": "id", "email": "email", "name": "name", "two_factor_authentication_enabled": true } }, "success": true } ``` ## Delete organization member **delete** `/organizations/{organization_id}/members/{member_id}` Delete a membership to a particular Organization. (Currently in Closed Beta - see https://developers.cloudflare.com/fundamentals/organizations/) ### Path Parameters - `organization_id: string` - `member_id: string` Organization Member ID ### Example ```http curl https://api.cloudflare.com/client/v4/organizations/$ORGANIZATION_ID/members/$MEMBER_ID \ -X DELETE \ -H "X-Auth-Email: $CLOUDFLARE_EMAIL" \ -H "X-Auth-Key: $CLOUDFLARE_API_KEY" ``` ## Domain Types ### Organization Member - `OrganizationMember { id, create_time, meta, 3 more }` - `id: string` Organization Member ID - `create_time: string` - `meta: map[unknown]` - `status: "active" or "canceled"` - `"active"` - `"canceled"` - `update_time: string` - `user: { id, email, name, two_factor_authentication_enabled }` - `id: string` - `email: string` - `name: string` - `two_factor_authentication_enabled: boolean`